name: app
description: "IceMap Application"
publish_to: 'none'
version: 0.1.0

environment:
  sdk: '>=2.17.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  flutter_map: ^4.0.0                 # Maps ans map customization
  http: ^0.13.3                       # HTTPS requests
  latlong2: ^0.8.2                    # LatLng object
  provider: ^5.0.0
  fl_chart: ^0.20.0-nullsafety1       # Charts and diagrams
  google_fonts: any                   # Fonts
  syncfusion_flutter_maps: ^20.4.41   # Choropleth map_handler
  syncfusion_flutter_core: any        # Choropleth shape selection
  path_provider: ^2.0.8
  shared_preferences: any             # Persistent data storage
  fuzzy: any                          # Search algorithm
  connectivity_plus: ^3.0.3           # Check internet connection
  get: ^4.6.5
  liquid_pull_to_refresh: ^3.0.0      # Pull to refresh

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

flutter:
  uses-material-design: true
  assets:
      - assets/icons/
